SlideShowConstructor File Reference
`#include <osg/Vec3>`
`#include <osg/Vec4>`
`#include <osg/ImageUtils>`
`#include <osg/Group>`
`#include <osg/ClearNode>`
`#include <osg/Switch>`
`#include <osg/AnimationPath>`
`#include <osg/TransferFunction>`
`#include <osg/ImageStream>`
`#include <osg/ImageSequence>`
`#include <osg/ScriptEngine>`
`#include <osgText/Text>`
`#include <osgGA/GUIEventAdapter>`
`#include <osgDB/FileUtils>`
`#include <osgVolume/VolumeTile>`
`#include <osgVolume/VolumeSettings>`
`#include <osgPresentation/AnimationMaterial>`
`#include <osgPresentation/SlideEventHandler>`
`#include <osgPresentation/PropertyManager>`
`#include <osgPresentation/Timeout>`

Go to the source code of this file.

## Classes

class | osgPresentation::HUDTransform
class | osgPresentation::SlideShowConstructor
struct | osgPresentation::SlideShowConstructor::PositionData
struct | osgPresentation::SlideShowConstructor::ModelData
struct | osgPresentation::SlideShowConstructor::ImageData
struct | osgPresentation::SlideShowConstructor::VolumeData
struct | osgPresentation::SlideShowConstructor::FontData
struct | osgPresentation::SlideShowConstructor::ScriptData

## Namespaces

namespace | osgPresentation

## Macros

#define | SLIDESHOWCONSTRUCTOR

## Macro Definition Documentation

## SLIDESHOWCONSTRUCTOR

#define SLIDESHOWCONSTRUCTOR